Bug 1740524 - OVN: bump the ovn-remote-probe-interval for ovn-controller
Summary: OVN: bump the ovn-remote-probe-interval for ovn-controller
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-ovn
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z9
: 13.0 (Queens)
Assignee: Kamil Sambor
QA Contact: Udi Shkalim
URL:
Whiteboard: Triaged,
Depends On:
Blocks: 1723463 1797575
TreeView+ depends on / blocked
 
Reported: 2019-08-13 08:22 UTC by Kamil Sambor
Modified: 2020-02-03 12:36 UTC (History)
2 users (show)

Fixed In Version: puppet-ovn-12.4.0-3.el7ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 14:01:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3794 None None None 2019-11-07 14:02:01 UTC

Description Kamil Sambor 2019-08-13 08:22:52 UTC
This bug was initially created as a copy of Bug #1723463

I am copying this bug because: 



Description of problem:

For some deployments the default ovn-remove-probe-interval of 5000ms (5s) [0] is not enough.

If the ovn-controller takes more time recomputing the flows than the probe interval, chances are that it will try to reconnected to the SB OVSDB causing a full re-sync of the DB with it's in-memory replica (costy).

In order to change this default one can run the following command where the ovn-controller is running:

$ ovs-vsctl set open . external_ids:ovn-remote-probe-interval=<TIME IN MS>

We need to make it either configurable via Tripleo-Heat-Templates.

Perhaps even thing about a "saner" default to accommodate for bigger deployments which requires ovn-controller to process a lot of flows (e.g having a lot of SG and SG rules would result in a lot of flows being created for ACLs, specially in OSP 13 where we do not have Port Groups).

[0] https://github.com/openvswitch/ovs/blob/88d2ac50aa4e3383e185b698a1b3a44a6f7b4f80/ovn/controller/ovn-controller.c#L75


Version-Release number of selected component (if applicable):
OSP-13 and forward

Comment 11 Roman Safronov 2019-10-28 12:55:29 UTC
Verified on puddle 13.0-RHEL-7/2019-10-18.1 with puppet-ovn-12.4.0-3.el7ost.noarch

Verified that ovn-remote-probe-interval is set by default to 60000

[heat-admin@controller-0 ~]$ sudo ovs-vsctl list open .
_uuid               : 5c03c977-8e6b-4fa9-be41-7034fcd23783
bridges             : [076ff7f1-ecf8-4f28-a92f-e652bf4c1598, dfd8b142-c2e1-4df8-a635-5c964a5fccb7, e26f60dd-2080-4a3a-b3e7-d6dbd25c3615]
cur_cfg             : 23
datapath_types      : [netdev, system]
db_version          : "7.16.1"
dpdk_initialized    : false
dpdk_version        : "DPDK 18.11.2"
external_ids        : {hostname="controller-0.redhat.local", ovn-bridge=br-int, ovn-bridge-mappings="datacentre:br-ex,tenant:br-isolated", ovn-cms-options=enable-chassis-as-gw, ovn-encap-ip="172.17.2.24", ovn-encap-type=geneve, ovn-remote="tcp:172.17.1.14:6642", ovn-remote-probe-interval="60000", rundir="/var/run/openvswitch", system-id="fb53e176-74ca-4af8-85fc-8bd5a568f2ba"}
iface_types         : [erspan, geneve, gre, internal, "ip6erspan", "ip6gre", lisp, patch, stt, system, tap, vxlan]
manager_options     : []
next_cfg            : 23
other_config        : {}
ovs_version         : "2.11.0"
ssl                 : []
statistics          : {}
system_type         : rhel
system_version      : "7.7"

Comment 13 errata-xmlrpc 2019-11-07 14:01:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3794


Note You need to log in before you can comment on or make changes to this bug.